class CreateTasks < ActiveRecord::Migration[6.1]
  def change
    create_table :tasks do |t|
      t.string :name, null: false
      t.index :name
      t.text :description
      t.integer :duration
      t.references :activity, null: false
      t.references :user, null: false

      t.timestamps
    end
  end
end
